image: registry.gitlab.com/open-source-devex/containers/build:latest


stages:
- build
- test
- release


services:
- docker:dind


variables:
  CONTAINER_TEST_IMAGE: registry.gitlab.com/${CI_PROJECT_NAMESPACE}/${CI_PROJECT_NAME}:${CI_COMMIT_SHA}
  CONTAINER_RELEASE_IMAGE: registry.gitlab.com/${CI_PROJECT_NAMESPACE}/${CI_PROJECT_NAME}:latest
  CONTAINER_NAME: test_container_${CI_BUILD_REF}
  DOCKER_HOST: tcp://docker:2375


before_script:
- docker login -u gitlab-ci-token -p ${CI_BUILD_TOKEN} registry.gitlab.com


build:
  stage: build
  script:
  - ci/build.sh


test:
  stage: test
  script:
  - ci/test.sh


release:
  stage: release
  script:
  - ci/release.sh
  only:
  - master
